function copyCode(txt){
	var testCode= txt;
	var timer;
	if(copy2Clipboard(testCode)!=false){
/*		document.getElementById("copy_success_msg").style.display = "inline";
		if(timer){
			window.clearTimeout(timer);
		}
		
		timer = setTimeout(function(){
			document.getElementById("copy_success_msg").style.display = "none";
		},2200)*/
		alert("已成功复制到粘贴板，您可以使用Ctrl+V 粘贴到需要发送的地方哦！");
	}
}

var copy2Clipboard=function(txt){
	if(window.clipboardData){
		window.clipboardData.clearData();
		window.clipboardData.setData("Text",txt);
	}
	else if(navigator.userAgent.indexOf("Opera")!=-1){
		window.location=txt;
	}
	else if(window.netscape){
		try{
			netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
		}
		catch(e){
			alert("您的firefox安全限制限制您进行剪贴板操作，请打开’about:config’将signed.applets.codebase_principal_support’设置为true’之后重试，相对路径为firefox根目录/greprefs/all.js");
			return false;
		}
		var clip=Components.classes['@mozilla.org/widget/clipboard;1'].createInstance(Components.interfaces.nsIClipboard);
		if(!clip)return;
		var trans=Components.classes['@mozilla.org/widget/transferable;1'].createInstance(Components.interfaces.nsITransferable);
		if(!trans)return;
		trans.addDataFlavor('text/unicode');
		var str=new Object();
		var len=new Object();
		var str=Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);
		var copytext=txt;str.data=copytext;
		trans.setTransferData("text/unicode",str,copytext.length*2);
		var clipid=Components.interfaces.nsIClipboard;
		if(!clip)return false;
		clip.setData(trans,null,clipid.kGlobalClipboard);
	}
};

(function(){
	var defaultValue = '请输入 代码/名称/拼音';
	var el = document.getElementById('stock_inp');
	el.value = defaultValue;
	el.style.color = '#666';
	el.onfocus = function(){
		if(this.value == defaultValue){
			this.value ='';
			this.style.color = '#333333';
		
		}else{
				
			
		}
	
	}
	el.onblur = function(){
		if(this.value == ''){
			this.value =defaultValue;
			this.style.color = '#666';		
		}
	}
	el.onclick = function(){
		if(this.value != defaultValue && this.value !=""){
			this.select();
		}else{
			this.focus();
		}
	}
	
	
})();


